## 房产操作说明

物业在使用系统前，首先需要先完善房产，也就是楼栋，单元，房屋，业主等信息，然后根据使用的模块去完善相应的信息.</br>

下面简单说明操作流程：</br>

1、打开房屋管理页面，房产导入，下载模板；</br>
2、物业根据Excel要求填写Excel，Excel需要填写楼栋，单元，房屋和业主信息，如果房屋是未出售，则业主信息留空(业主名称,性别,年龄,手机号,身份证号,业主类型)即可;</br>
3、将填写Excel导入系统，此时会在房屋，商铺，业主页面出现数据；</br>

温馨提示：如果导入商铺时，Excel中的单元填写为0 比如1-1商铺，楼栋为1 单元为0 房屋为1 ，单元为0 导入后系统就会认为是商铺</br>
商铺时，房屋状态 请填写为 2006 已出租（商铺专用）或者 2007 已出售（商铺专用），否则商铺无法创建费用</br>

对于商铺多次出租或者园区的房屋多次出租操作，更换业主流程如下：</br>

1、在业主信息页面，添加业主（新业主不存在的情况下）；</br>
2、在业主信息页面定位老业主，点击变更>房屋解绑，业主解绑房屋，使得房屋变成空闲状态(此操作前，先处理老业主费用，<br/>
如果周期性物业费我们建议先结束费用，新业主绑定后重新创建);</br>
3、定位新业主，点击变更>入住房屋，业主绑定房屋（然后房屋创建相应收费）;</br>

或者采用如下的方式：</br>

1、进入业务受理页面，点击更多操作下>退房，老业主先退房；</br>
2、进入业务受理页面，点击更多操作下>交房，新业主绑定房屋；</br>
温馨提示：此种方式比较适合批量解绑和批量入住房屋</br>

### 房屋管理

用于添加，修改，删除楼栋单元房屋，这里用的比较多的是房产导入的方式，如果手工添加，项目房屋较多，比较辛苦，所以推荐整理Excel直接导入即可.</br>
如果导入的楼栋排序比较乱可以，修改楼栋，修改排序。</br>
房屋状态 分为：未销售，未入住，已交房，已装修，已入住 等状态</br>
1、未销售表示 房屋和业主之间还没有任何关系，所以修改时状态不能手工修改 需要业主入住房屋的方式 将未销售改为已入住</br>
2、未入住 已交房 已装修 已入住 状态表示业主和房屋之间已经有关系 可以相互修改，主要作用为在房屋创建费用时根据不同的状态去创建不同的费用</br>
租金：主要用于园区类或者房屋出租比较多的物业使用，项目物业忽略</br>

重要字段说明:</br>
房屋编号：建议不要包含 #，-这种特殊字符，以免影响部分功能使用；</br>
房屋户型：如果不清楚可以，随便选一个，目前只做展示；</br>
房屋类型：目前默认住址，办公室，宿舍，如果不合适可以让运营团队，在系统上添加（开发者账户编码映射字典中修改）;</br>
建筑面积：房屋的实际建筑面积，请填写正确，用于算物业费等使用；</br>
室内面积：主要用于北方有些城市计算暖气费是使用室内面积，而不是建筑面积，如果您那边不是这样，那么室内面积填写为建筑面积即可;</br>
算费系数：主要用于公摊费用时使用，如果不使用公摊可以填写为1；</br>

### 商铺管理

商铺同样建议通过房产导入的方式导入，只要单元写为0，就是商铺，房屋状态 请填写为 2006 已出租（商铺专用）或者 2007 已出售（商铺专用），否则商铺无法创建费用</br>

商铺编号：建议不要包含 #，-这种特殊字符，以免影响部分功能使用；</br>
建筑面积：房屋的实际建筑面积，请填写正确，用于算物业费等使用；</br>
室内面积：主要用于北方有些城市计算暖气费是使用室内面积，而不是建筑面积，如果您那边不是这样，那么室内面积填写为建筑面积即可;</br>
算费系数：主要用于公摊费用时使用，如果不使用公摊可以填写为1；</br>

商铺可以通过 出租和出售的方式绑定业主和商铺的关系，也可以通过解绑的方式 解绑业主和商铺的关系；</br>

### 业主信息

系统中除了员工以外的客户都可以当做业主来处理，比如绑定房产的人员，车主等等；</br>

重要字段说明：</br>
手机：请填写正确，主要用于业主端注册时根据此手机号关联业主信息以及房产信息;</br>
照片：项目安装了人脸门禁后，拍照将照片送至门禁；</br>
门禁钥匙：将门禁钥匙上的数字写入到门禁系统，刷卡开门，如果没有安装门禁，可以不填写;</br>

添加业主后，手机端如何登录业主？</br>
1、打开业主端，进入我的页面；</br>
2、点击登录，在登录页面点击注册；</br>
3、注册页面填写，在业主页面预留的手机号，系统会自动关联;</br>
4、注册完成后，拿刚刚注册的手机号密码登录；</br>
5、如果业主在多个项目有资料，那么在我的页面点击项目切换当前操作项目；</br>

### 业主成员

业主成员是业主的家庭成员，比如孩子 租客等，这块有个误区，在园区资产导入时 将租客误以为是这个租客导入，</br>
这块需要注意的是 房屋必须先要有业主才能 有租客，所以园区资产导入时可以将租客当做业主导入；</br>

重要字段说明：</br>
手机：请填写正确，主要用于业主端注册时根据此手机号关联业主家庭成员信息以及房产信息;</br>
照片：项目安装了人脸门禁后，拍照将照片送至门禁；</br>
门禁钥匙：将门禁钥匙上的数字写入到门禁系统，刷卡开门，如果没有安装门禁，可以不填写;</br>

业主成员是否可以登录业主端，进行缴费，报修等操作？</br>
可以的，操作流程和业主注册方式一样；</br>

### 绑定业主

业主端业主或者家庭成员注册登录后，这里就会出现记录，主要查看业主端的绑定情况，如果业主端用户忘记了登录密码，也可以来这里登录；</br>

### 业主账号

业主在系统里的账户，业主在缴费时多余的钱可以预存在这里下次，缴费时使用，或者每月水电抄表缴费，业主缴费比较麻烦，可以预存在这里；</br>
用于每个月抵扣使用</br>

### 业主入驻

此页面主要适用于 园区 业主（企业）入驻房屋时需要走审批流程的情况下，才采用此功能，</br>
项目或者 园区业主入驻不需要审核的可以忽略此功能 采用业主页面的入住房屋功能绑定 房屋和业主绑定关系</br>

> 入驻流程

1、先设置 入驻设置 设置审批流程；</br>
2、点击申请，选择业主和房屋;</br>
3、在办公>工作办理>业主入驻审核 审批处理</br>

有可能此功能 做了关闭，如果没有业主入驻页面 可以登录开发者页面菜单中显示此页面

